import request from '@/utils/request'

//统计指标
export function zbtjNew(data) {
  return request({
    url: '/yinnong/dataScreen/zbtjNew',
    method: 'post',
    data: data
  })
}

//银行支出排行榜
export function yhzcphNew(data) {
  return request({
    url: '/yinnong/dataScreen/yhzcphNew',
    method: 'post',
    data: data
  })
}

//大额支出排行榜
export function despdbNew(data) {
  return request({
    url: '/yinnong/dataScreen/despdbNew',
    method: 'post',
    data: data
  })
}

//下方统计
export function dclzbNew(data) {
  return request({
    url: '/yinnong/dataScreen/dclzbNew',
    method: 'post',
    data: data
  })
}

//收入对比
export function yhsrdbNew(data) {
  return request({
    url: '/yinnong/dataScreen/yhsrdbNew',
    method: 'post',
    data: data
  })
}

//支出对比
export function yhzcdbNew(data) {
  return request({
    url: '/yinnong/dataScreen/yhzcdbNew',
    method: 'post',
    data: data
  })
}

//敏感费用支出
export function mgfyzcNew(data) {
  return request({
    url: '/yinnong/dataScreen/mgfyzcNew',
    method: 'post',
    data: data
  })
}

//银行收支趋势
export function szbhqsNew(data) {
  return request({
    url: '/yinnong/dataScreen/szbhqsNew',
    method: 'post',
    data: data
  })
}

//统计指标-申请总笔数点击弹窗
export function associatedWordList(query) {
  return request({
    url: '/yinnong/transfer/associatedWordList',
    method: 'get',
    params: query
  })
}

//统计指标-开户数点击弹窗
export function zhwzcqdNew(query) {
  return request({
    url: '/yinnong/dataScreen/zhwzcqdNew',
    method: 'post',
    // data: query
  })
}

//统计指标-总收入点击弹窗
export function listAll(query) {
  return request({
    url: '/yinnong/recordDetail/listAll',
    method: 'get',
    params: query
  })
}
